package attenuationrecordset;
# Provides a structure that keeps data extracted from the DT database

use strict;
use warnings;
use vars qw(@ISA);

sub new {
  my( $this ) = shift;
  my $class = ref($this) || $this;
  my $newInst={};
  bless($newInst, $class);

  #printf "new inversionsrechnung\n";
  $newInst->Initialize;
  return $newInst;
}

sub Initialize {
  my ($this) = @_;
  #printf "Initialize $this\n";
  $this->{CHEMICAL_NAME}=0;
  $this->{SAMPLE_DATE}=0;
  $this->{A1}= 0;
  $this->{A2}= 0;
  $this->{A3}= 0;
}

sub chem_name {
  my $this = shift;
  if (@_) { $this->{CHEMICAL_NAME} = shift }
  return $this->{CHEMICAL_NAME};
}

sub sample_date {
  my $this = shift;
  if (@_) { $this->{SAMPLE_DATE} = shift }
  return $this->{SAMPLE_DATE};
}

sub a1 {
  my $this = shift;
  if (@_) { $this->{A1} = shift }
  return $this->{A1};
}

sub a2 {
  my $this = shift;
  if (@_) { $this->{A2} = shift }
  return $this->{A2};
}

sub a3 {
  my $this = shift;
  if (@_) { $this->{A3} = shift }
  return $this->{A3};
}


1;
